package domain

type AlibabaWdkCouponSkuAddCouponTemplateOperateResponse struct {
	/*
	   创建结果     */
	FailElements *[]AlibabaWdkCouponSkuAddFailElement `json:"fail_elements,omitempty" `

	/*
	   模板表主键     */
	Id *int64 `json:"id,omitempty" `

	/*
	   ump模板ID     */
	SourceId *int64 `json:"source_id,omitempty" `
}

func (s *AlibabaWdkCouponSkuAddCouponTemplateOperateResponse) SetFailElements(v []AlibabaWdkCouponSkuAddFailElement) *AlibabaWdkCouponSkuAddCouponTemplateOperateResponse {
	s.FailElements = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddCouponTemplateOperateResponse) SetId(v int64) *AlibabaWdkCouponSkuAddCouponTemplateOperateResponse {
	s.Id = &v
	return s
}
func (s *AlibabaWdkCouponSkuAddCouponTemplateOperateResponse) SetSourceId(v int64) *AlibabaWdkCouponSkuAddCouponTemplateOperateResponse {
	s.SourceId = &v
	return s
}
